Package com.enonic.xp.inputtype

## Class InputTypeConfig

- java.lang.Object
- - com.enonic.xp.inputtype.InputTypeConfig

- All Implemented Interfaces:
    `Iterable<InputTypeProperty>`

      @PublicApi
      public final class InputTypeConfig
      extends Object
      implements Iterable<InputTypeProperty>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `InputTypeConfig.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static InputTypeConfig.Builder` | `create()` |
    `static InputTypeConfig` | `empty()` |
    `boolean` | `equals​(Object o)` |
    `Set<String>` | `getNames()` |
    `Set<InputTypeProperty>` | `getProperties​(String name)` |
    `InputTypeProperty` | `getProperty​(String name)` |
    `int` | `getSize()` |
    `String` | `getValue​(String name)` |
    `<T> T` | `getValue​(String name, Class<T> type)` |
    `<T> T` | `getValue​(String name, Class<T> type, T defValue)` |
    `boolean` | `hasAttributeValue​(String name, String attr, String attrValue)` |
    `int` | `hashCode()` |
    `boolean` | `hasValue​(String name, String value)` |
    `Iterator<InputTypeProperty>` | `iterator()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### getNames

          public Set<String> getNames()

    - #### getProperty

          public InputTypeProperty getProperty​(String name)

    - #### getProperties

          public Set<InputTypeProperty> getProperties​(String name)

    - #### getValue

          public String getValue​(String name)

    - #### getValue

          public <T> T getValue​(String name,
                                Class<T> type)

    - #### getValue

          public <T> T getValue​(String name,
                                Class<T> type,
                                T defValue)

    - #### hasValue

          public boolean hasValue​(String name,
                                  String value)

    - #### hasAttributeValue

          public boolean hasAttributeValue​(String name,
                                           String attr,
                                           String attrValue)

    - #### getSize

          public int getSize()

    - #### iterator

          public Iterator<InputTypeProperty> iterator()

      Specified by:
        `iterator` in interface `Iterable<InputTypeProperty>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### empty

          public static InputTypeConfig empty()

    - #### create

          public static InputTypeConfig.Builder create()